Bug 77984 - Could it be a kernel bug?
Could it be a kernel bug?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-16 13:03 EST by andrew
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description andrew 2002-11-16 13:03:03 EST
Description of Problem:I have a dual boot system in the office and work, loading
RedHat 7.2 and Mandrake 8.2 in the office and Windows XP and RedHat 8.0 at home.
What I have noticed and this is strange ( you be the judge) when I play my fav
game (Unreal Tournament on line), which is loaded on all systems, it will play
the game on all internet servers just fine under Mandrake 8.2 with latest
updates, Windows XP or Redhat 7.2. But after I made updates to my RedHat 7.2
strange things started happening in online gaming.Just to trouble shoot I
installed RedHat 8.0 same problem so its got to be some latest patches. A breif
discription bellow.

All the game servers in "Unreal Tournament" use something call a download
redirect to speed up the loading of different maps for the levels of the game.
Some of the servers allow map downloads to happen directley from the server,
which is very slow due to load balancing. I happen to run a few servers my self
so am very good with configurations. I do not allow on my servers a direct
download due to the slowdown of connection so I disalowed direct download.

Now here is the interesting part when I am playing the game on a RedHat Linux
all the servers that disallow direct download, meaning they will redirect your
request to a specific highspeed http/ftp download, will pop up a message saying
"The server refuses to send the data" The servers that allow download, will let
you download the map but at very low speed (hours). On the Mandrake or Windows
it works without a problem. 


Version-Release number of selected component (if applicable):Standard 7.2 and
8.0 versions with latest patches.


How Reproducible:


Steps to Reproduce:
1. Install Linux version of Unreal Tournament from LokiGames.com
2. Play online games Death Match servers.
3. Compare clean install(no patches) RedHat 7.2 and RedHat 8.0

Actual Results:


Expected Results:


Additional Information:
When touble shooting the redirect servers I manually downloaded the maps without
a problem. On the actual game server console i get a message "Received invalid
file request" "Server refuses to send"
P.S I disabled all the extra services on the workstation.

Thank You.
Comment 1 Bugzilla owner 2004-09-30 11:40:12 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.